from fastapi import FastAPI
import server.router.user_router as user_router
import server.router.spider_router as spider_router

app = FastAPI()

# 包含路由
app.include_router(user_router.router, prefix="/user", tags=["user"])
app.include_router(spider_router.router, prefix="/user", tags=["spider"])

if __name__ == "__main__":
    import uvicorn
    uvicorn.run(app, host="0.0.0.0", port=8088)