from pydantic import BaseModel
from typing import Optional

class TweetModel(BaseModel):
    id: str
    created_at: str
    user_id: str
    text: Optional[str] = None
    lang: Optional[str] = None
    in_reply_to: Optional[str] = None
    is_quote_status: Optional[bool] = None
    quote_id: Optional[str] = None
    retweeted_tweet_id: Optional[str] = None
    possibly_sensitive: Optional[bool] = None
    quote_count: Optional[int] = None
    reply_count: Optional[int] = None
    favorite_count: Optional[int] = None
    favorited: Optional[bool] = None
    view_count: Optional[int] = None
    retweet_count: Optional[int] = None
    bookmark_count: Optional[int] = None
    bookmarked: Optional[bool] = None
    place: Optional[str] = None
    is_translatable: Optional[bool] = None
    is_edit_eligible: Optional[bool] = None
    edits_remaining: Optional[int] = None
    tweet_type: Optional[str] = None
    next_cursor: Optional[str] = None

    class Config:
        orm_mode = True  # 使得 Pydantic 支持从数据库模型中直接读取数据
