from typing import Optional, List

from pydantic import BaseModel


class User(BaseModel):
    id: str
    name: Optional[str] = None
    screen_name: Optional[str] = None
    profile_image_url: Optional[str] = None
    profile_banner_url: Optional[str] = None
    url: Optional[str] = None
    location: Optional[str] = None
    description: Optional[str] = None
    is_blue_verified: Optional[bool] = None
    verified: Optional[bool] = None
    possibly_sensitive: Optional[bool] = None
    can_dm: Optional[bool] = None
    can_media_tag: Optional[bool] = None
    want_retweets: Optional[bool] = None
    default_profile: Optional[bool] = None
    default_profile_image: Optional[bool] = None
    followers_count: Optional[int] = None
    fast_followers_count: Optional[int] = None
    normal_followers_count: Optional[int] = None
    following_count: Optional[int] = None
    favourites_count: Optional[int] = None
    listed_count: Optional[int] = None
    media_count: Optional[int] = None
    statuses_count: Optional[int] = None
    is_translator: Optional[bool] = None
    translator_type: Optional[str] = None
    profile_interstitial_type: Optional[str] = None
    withheld_in_countries: Optional[List[str]] = None
