import asyncio

from fastapi import APIRouter
from pydantic import BaseModel

from server.spider.twitter_spider import crawl_user

router = APIRouter()

class SpiderInput(BaseModel):
    username: str


@router.post("/spider")
async def create_spider_data(spider_input: SpiderInput):
    """提交需要爬取的用户，并返回爬取结果"""
    username = spider_input.username
    asyncio.create_task(crawl_user(username))
    return {
        'code': 0
    }
